<?php

namespace ReloadifyScoped\Doctrine\DBAL\Schema\Visitor;

use ReloadifyScoped\Doctrine\DBAL\Schema\Column;
use ReloadifyScoped\Doctrine\DBAL\Schema\ForeignKeyConstraint;
use ReloadifyScoped\Doctrine\DBAL\Schema\Index;
use ReloadifyScoped\Doctrine\DBAL\Schema\Schema;
use ReloadifyScoped\Doctrine\DBAL\Schema\Sequence;
use ReloadifyScoped\Doctrine\DBAL\Schema\Table;
/**
 * Abstract Visitor with empty methods for easy extension.
 */
class AbstractVisitor implements Visitor, NamespaceVisitor
{
    public function acceptSchema(Schema $schema)
    {
    }
    /**
     * {@inheritdoc}
     */
    public function acceptNamespace($namespaceName)
    {
    }
    public function acceptTable(Table $table)
    {
    }
    public function acceptColumn(Table $table, Column $column)
    {
    }
    public function acceptForeignKey(Table $localTable, ForeignKeyConstraint $fkConstraint)
    {
    }
    public function acceptIndex(Table $table, Index $index)
    {
    }
    public function acceptSequence(Sequence $sequence)
    {
    }
}
